import { PageProps } from "$fresh/server.ts";
import { Head } from "$fresh/runtime.ts";
import NavigationBar from "../islands/NavigationBar.tsx";
import ScrollUpButton from "../islands/ScrollUpButton.tsx";

export default function Layout({ Component, url }: PageProps) {
  const currentPath = url.pathname;

  return (
    <>
      <Head>
        <meta charset="utf-8" />
        <link rel="icon" type="image/svg+xml" href="/favicon.svg" />
        <meta name="viewport" content="width=device-width" />
        <title>Atridad Lahiji</title>
      </Head>
      <body class="flex flex-col min-h-screen">
        <main class="flex-grow flex flex-col gap-4 items-center justify-center">
          <Component />
        </main>

        <NavigationBar currentPath={currentPath} />
        <ScrollUpButton />
      </body>
    </>
  );
}
